export declare class EndUserDateCoder {
    vendor: string;
    classVersion: number;
    className: string;
    dateDelimeter: string;
    timeDelimeter: string;
    dateTimeDelimeter: string;
    format: string;
    encode(date: any): string;
    decode(dateStr: any): Date | null;
}
